XtGetErrorDatabase(3Xt)

NAME
XtGetErrorDatabase, XtGetErrorDatabaseText - obtain error database

SYNTAX

XrmDatabase *XtGetErrorDatabase(void);

void XtGetErrorDatabaseText(char *name, char *type, char *class, char *default, char *buffer_return, int nbytes, XrmDatabase database);

ARGUMENTS

buffer_return
    Specifies the buffer into which the error message is to be returned.

class
    Specifies the resource class of the error message.

database
    Specifies the name of the alternative database that is to be used or NULL if the application's database is to be used.

default
    Specifies the default message to use.

name

type
    Specifies the name and type that are concatenated to form the resource name of the error message.

nbytes
    Specifies the size of the buffer in bytes.

DESCRIPTION
The function has been superceded by

The function has been superceded by

SEE ALSO
XtAppGetErrorDatabase(3Xt) XtAppGetErrorDatabaseText(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface